首页 » 网站攻防 » 浏览内容

WordPress-Mailpress远程代码执行漏洞

2286 0 发表评论

0x00 介绍
Mailpress是一个比较流行的邮件插件。
Plugin Directory:https://wordpress.org/plugins/mailpress/
官网:http://blog.mailpress.org
漏洞已于2016年06月21日通报给wordpress。

0x01 漏洞简述
Mailpress存在越权调用,在不登陆的情况下,可以调用系统某些方法,造成远程命令执行。

0x02 漏洞详细
文件:
mailpress\mp-includes\action.php

转到:
mailpress\mp-includes\class\MP_Actions.class.php
即可以调用 MP_Actions.class.php 文件中任意方法。
其中:
autosave方法是添加邮件内容
我们来重点看看

注意到代码:

转到 do_eval

因此,subject参数造成远程命令执行

0x03 漏洞利用

1-5

1-6

标签:

评论 共 0 条 (RSS 2.0) 发表 评论

  1. 暂无评论,快来抢沙发!

发表评论

  •   没有头像?

关注我们,实时联系

通知公告">更多...

♥如果喜欢本站可以直接点击订阅博客
♥点击此加入晓残博客会员群加入扣群
♥本站免费提供加密解密服务点击解密
♥伙伴们喜欢本站赏个好评呗

关注微信

有偿服务

博客统计

  • 日志总数:477 篇
  • 评论数目:1474 条
  • 标签总数:40 个
  • 页面总数:8 个
  • 分类总数:17 个
  • 友链总数:24 个
  • 建站日期:2011-02-13
  • 运行天数:2124 天
  • 最后更新:2016-12-6

订阅博客